Subject: Summary: Want a program to control CPU time.

From: "Yubo Fan" <[email-masked]>
Date: Thu, 10 Jul 1997 21:37:10 -0000

> Hi,
> 
> Thank everyone who gave me some advice and read the message I posted
> several weeks ago. That is the summary below.
> 
> Hi, everyone,
> 
> I use G94W to calculate some molecular systems on my PC. My OS is Windows
> 95. When the calculations are running, all CPU time is used by this
> software and I cannot run other software easily. Is there a program which
can allocate a part of time to a certain program, for instance, the program
can allocate 90% CPU time to G94W and other software can use another 10%
resourses?
 
If there is one, please tell me. I really need it.

Thank you very much

Y. FAN

===================================================
FAN, Yubo
Department of Chemistry
Fudan University
Shanghai, 200433
P. R. China		Voice(86-21)65492222-4294
===================================================
> 
> On Thu, 3 Jul 1997, Yubo Fan wrote:
>  
> > Hi, everyone,
> > 
> > I use G94W to calculate some molecular systems on my PC. My OS is
Windows
> > 95. When the calculations are running, all CPU time is used by this
> > software and I cannot run other software easily. Is there a program
which
> > can allocate a part of time to a certain program, for instance, the
> program
> > can allocate 90% CPU time to G94W and other software can use another
10%
> > resourses?
> > 
> > If there is one, please tell me. I really need it.
> 
> There is one -- it's called Linux. Win95 cannot do true multitasking. You

> also might consider upgrading to NT... but Linux is a better choice ;)
> 
> Eugene
>  
> > Thank you very much
> > 
> > Y. FAN
> > 
> > ===================================================
> > FAN, Yubo
> > Department of Chemistry
> > Fudan University
> > Shanghai, 200433
> > P. R. China		Voice(86-21)65492222-4294
> > ===================================================
> > 
> > 
> > ---
> > Administrivia: This message is automatically appended by the mail
> exploder:
> > [email-masked]: Everybody | [email-masked]:
> Coordinator
> > [email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher:
www.ccl.net
> 73
> > Anon. ftp: www.ccl.net   | [email-masked] -- archive
search
> >              Web: http://www.ccl.net/chemistry.html 
> > ---
> > 
> 
> Maybe you should just try to use an real operating system to do this kind
> of work on ? There are many good OSs for PC's out. Usin W95 is your own
> fault.
> Sorry that's it,
> 
> Jochen
> 
> -----------------------------------------------------------------------
>   Jochen Kuepper
> 
>   Heinrich-Heine-Universitaet Duesseldorf   [email-masked]
>   Institut fuer Physikalische Chemie I
>   Universitaetsstrasse 1, Geb 26.43.02.19      phone ++49-211-8113681
>   40225 Duesseldorf                            fax   ++49-211-8115195
>   Germany             http://www-public.rz.uni-duesseldorf.de/~jochen
> -----------------------------------------------------------------------
> 
> > I use G94W to calculate some molecular systems on my PC. My OS is
Windows
> > 95. When the calculations are running, all CPU time is used by this
> > software and I cannot run other software easily. Is there a program
which
> > can allocate a part of time to a certain program, for instance, the
> program
> > can allocate 90% CPU time to G94W and other software can use another
10%
> > resourses?
> 
> Not for Windows 95. Under Unix systems, you can use the commands "nice"
and
> "renice". There may be something equivalent under Windows NT, but Windows
> 95 doesn't have a proper process scheduler.
> -- 
>
----------------------------------------------------------------------------

> ---
> Konrad Hinsen                          | E-Mail: [email-masked]
> Laboratoire de Dynamique Moleculaire   | Tel.: +33-4.76.88.99.28
> Institut de Biologie Structurale       | Fax:  +33-4.76.88.54.94
> 41, av. des Martyrs                    | Deutsch/Esperanto/English/
> 38027 Grenoble Cedex 1, France         | Nederlands/Francais
>
----------------------------------------------------------------------------

> ---
> 
> Dear YAN,
> 
> I think you have two possibilities first upgrade your Gaussian Version to
a
> 32-bit Version, second switch e.g. to Spartan for Windows 95. This
program
> cooperates very smothley with the environment, and lets you work very
well
> with other programs. 
> For my knowledge there is no mechanism in Windows 95 to specify the
amount
> of
> CPU usage for a specific program. But windows 95 knows priorities for
> 32-bit
> programs and uses time slices for each 32-bit program.
> 
> Greetings,
> 
> 
> Jan Schuur
> 
> 
>
--------------------------------------------------------------------------
> Jan H. Schuur
> Ph.D. Student
> Computer-Chemie-Centrum
> Institut f. Org. Chemie
> Universitaet Erlangen-Nuernberg
> Naegelsbachstr. 25
> D-91052 Erlangen, Germany
> Tel. ++49 (0)9181 658577
> -------------------------------------------------------------------------
> 
> Hello.  I've had good results running G94W under Windows NT (4.0).
> While G94W is running, performance on other applications is degraded
> but usually acceptable.  My machine has 64 Mb of RAM.
> 
> A couple of years ago I tried G92w under Windows 3.1 and gave up
> because of problems like you described.
> 
> Good luck!
> 
> Karl I.
> 
> At 10:34 AM 7/3/97 +0800, you wrote:
> >
> >Hi, everyone,
> >
> >I use G94W to calculate some molecular systems on my PC. My OS is
> Windows
> >95. When the calculations are running, all CPU time is used by this
> >software and I cannot run other software easily. Is there a program
> which
> >can allocate a part of time to a certain program, for instance, the
> program
> >can allocate 90% CPU time to G94W and other software can use another 10%
> >resourses?
> >
> >If there is one, please tell me. I really need it.
> >
> >Thank you very much
> >
> >Y. FAN
> >
> >===================================================
> >FAN, Yubo
> >Department of Chemistry
> >Fudan University
> >Shanghai, 200433
> >P. R. China		Voice(86-21)65492222-4294
> >===================================================
> >
> >
> >---
> >Administrivia: This message is automatically appended by the mail
> exploder:
> >[email-masked]: Everybody | [email-masked]:
> Coordinator
> >[email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher:
> www.ccl.net 73
> >Anon. ftp: www.ccl.net   | [email-masked] -- archive
> search
> >             Web: http://www.ccl.net/chemistry.html 
> >---
> >
> >
> >
> ----------------------------------------------
> Dr. Karl K. Irikura
> Physical and Chemical Properties Division
> National Institute of Standards and Technology
> Gaithersburg, MD  20899
> voice: 301-975-2510	fax: 301-975-3670
> e-mail: [email-masked]
> ----------------------------------------------
> 
>